#programa : SocketServidor.py
#autor : jorge nolasco valenzuela
#fecha : 04-08-2017
"""
descripcion : este programa muestra
el uso de socket
Servidor
"""
#libreria para trabajar socket
import socket
import sys

#crear socket
s1=socket.socket()
#hostname para recibir conexion externas
HOSTNAME=""
#puerto de escucha de nuestra servidor
PORT=8765

try:
    """
    el metodo bind
    conecta el socket en una tupla que especifique
    una direccion y puerto
    """
    s1.bind((HOSTNAME,PORT))
except socket.error as message:
    print("bind fallo")
    sys.exit()
#comenzamos la escucha
s1.listen()
print("escuchando socket en puerto :",PORT)

while True:
    #a la espera de una conexion
    connection,address = s1.accept()
    print("conexion con :",address[0],address[1])
    connection.send("HOLA DESDE EL SERVIDOR")
    #cerrrar el socket
    connection.close()
